Subject: Re: [MEDIACTRL] msc-ivr media session variables

From: "McGlashan, Scott" <[email-masked]>
Date: Fri, 10 Jul 2009 15:33:06 +0000

Hi Steve,

I think you are correct. 

In VoiceXML, session.connection.originator points to either session.connection.local or session.connection.remote depending on whether it is an outbound (local) or inbound (remote) call. In mediactrl ivr, we only allow inbound connections to the media server, hence originator is always set to remote in Section 12.2.1.  

Current versions of VoiceXML don't go into detail of the SIP protocol media mapping. But in RFC 5552 (draft burke), we have the statement that it is relative to the originator. If the orginator is remote, the directionality is from the perspective of the connection/conference not the dialog. This is the opposite of what we have in the IVR package today since direction is always from the perspective of the dialog. 

So I think we need to fix this. The simplest fix is to change the definition of direction in <stream>. We had clarified this before, but I obviously clarified it in the wrong way round! 

So are there any objections to the following definition? 

direction:
    a string indicating the direction of the media flow relative to the end point conference or connection. Defined values are: "sendrecv" (the end point sends media to and receives media from the dialog), "sendonly" (the end point can only send media to the dialog), "recvonly" (the end point can only receive media from the dialog) and "inactive" (stream is not to be used). The default value is "sendrecv". The attribute is optional. 

If I don't hear any objections, I'll update the spec. 

Thanks!

Scott

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Steve Liao
Sent: Wednesday, May 20, 2009 16:11
To: [email-masked]
Subject: [MEDIACTRL] msc-ivr media session variables

Hi,

In msc-ivr, the direction property of session.connection.protocol.sip.media (and that of session.conference.media) is from the point of view of the dialog.   This differs from the directionality of session.connection.protocol.sip.media when a Voice XML script is invoked directly, which is relative to session.connection.originator.  Is this discrepency intended?  The same vxml script will show different values when it's invoked under msc-ivr versus when invoked directly.

Thanks,
Steve
_______________________________________________
MEDIACTRL mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mediactrl
Supplemental Web Site:
http://www.standardstrack.com/ietf/mediactrl